Bug 115957 - returning pointer to local variable
returning pointer to local variable
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pan (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-17 07:08 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-14 07:00:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-17 07:08:17 EST
Description of problem:

I just tried to compile package pan-0.14.2-2 from Fedora.

The compiler said

1.

gmime-message-partial.c(419): warning #1251: returning pointer to
local variable

The source code is

                return &message;

But

g_mime_message_partial_split_message (GMimeMessage *message, size_t
max_size, size_t *nparts)

message is a parameter of this routine.

Suggest avoid returning the address of parameters.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jens Petersen 2004-04-14 07:00:34 EDT
This is already fixed in upstream gmime cvs AFAICT.

Note You need to log in before you can comment on or make changes to this bug.